Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# libXFCcore/xfc/glib/spawn.hh File Reference

A C++ interface for the GLib spawn functions. More...

`#include <xfc/stackobject.hh>`
`#include <sigc++/sigc++.h>`
`#include <glib/gspawn.h>`
`#include <vector>`
`#include <xfc/glib/inline/spawn.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- struct Xfc::G::SpawnAsyncData
    Internal data structure used by G::SpawnAsync and Gdk::Spawn. More...
- class Xfc::G::Spawn
    A C++ interface for the GLib spawn functions. More...
- class Xfc::G::SpawnAsync
    A C++ interface for the GLib asynchronous spawn functions. More...
- class Xfc::G::SpawnSync
    A C++ interface for the GLib synchronous spawn functions. More...

## Typedefs

- typedef unsigned int SpawnFlagsField
    SpawnFlagsField holds one or more bitflags from the G::SpawnFlags enumeration OR'd together.

## Enumerations

- enum SpawnFlags {
  SPAWN_LEAVE_DESCRIPTORS_OPEN = G_SPAWN_LEAVE_DESCRIPTORS_OPEN,
  SPAWN_DO_NOT_REAP_CHILD = G_SPAWN_DO_NOT_REAP_CHILD,
  SPAWN_SEARCH_PATH = G_SPAWN_SEARCH_PATH,
  SPAWN_STDOUT_TO_DEV_NULL = G_SPAWN_STDOUT_TO_DEV_NULL,
  SPAWN_STDERR_TO_DEV_NULL = G_SPAWN_STDERR_TO_DEV_NULL,
  SPAWN_CHILD_INHERITS_STDIN = G_SPAWN_CHILD_INHERITS_STDIN,
  SPAWN_FILE_AND_ARGV_ZERO = G_SPAWN_FILE_AND_ARGV_ZERO
  }
    Specifies the flags that effect how a child process is spawned. More...

## Detailed Description

A C++ interface for the GLib spawn functions.

## Enumeration Type Documentation

enum SpawnFlags

Specifies the flags that effect how a child process is spawned.

Enumeration values:

  SPAWN_LEAVE_DESCRIPTORS_OPEN | The parent's open file descriptors will be inherited by the child; otherwise all descriptors except stdin/stdout/stderr will be closed before calling exec() in the child.
  SPAWN_DO_NOT_REAP_CHILD | The child will not be automatically reaped; you must call waitpid() or handle SIGCHLD yourself, or the child will become a zombie.
  SPAWN_SEARCH_PATH | argv[0] need not be an absolute path, it will be looked for in the user's PATH.
  SPAWN_STDOUT_TO_DEV_NULL | The child's standard output will be discarded, instead of going to the same location as the parent's standard output.
  SPAWN_STDERR_TO_DEV_NULL | The child's standard error will be discarded.
  SPAWN_CHILD_INHERITS_STDIN | The child will inherit the parent's standard input (by default, the child's standard input is attached to /dev/null).
  SPAWN_FILE_AND_ARGV_ZERO | The first element of argv is the file to execute, while the remaining elements are the actual argument vector to pass to the file; Normally SpawnAsync uses argv[0] as the file to execute, and passes all of argv to the child.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3